Makefile; limit dependencies on external libs
13 May 2015 14:37 - John Abbott

Status: Rejected Start date: 13 May 2015
Priority: Low Due date:

Assignee: % Done: 100%
Category: Makefile Estimated time: 0.00 hour
Target version: CoCoALib-0.99850 Spent time: 0.45 hour
Description

If you have CoCoALib already (configured and) compiled, and want to repeat compilation but also including an external library (but
not changing any other compilation flags/options) then the current approach forces recompilation of everything even though this is
quite unnecessary for most files (i.e. all files which do not depend on the external lib).

Related issues:
Related to CoCoALib - Bug #149: Makefile dependencies New 02 May 2012

History

#1 - 13 May 2015 14:40 - John Abbott

This issue is not so important (hence priority low); not even sure it is worth fixing, as it may complicate the build system considerably with very little
practical gain.

Presumably there would have to be separate autoconf.mk files for each external lib, since any change to the main autoconf.mk triggers recompilation
of all files.

#2 - 22 Sep 2016 16:20 - John Abbott
- Related to Bug #149: Makefile dependencies added

#3 - 14 Oct 2022 11:37 - John Abbott
- Status changed from New to In Progress

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99850
My thinking is still aligned with comment 1:
doing this correctly would require considerable effort, and the likely benefit little and seldom.

On my current computer (which is about 6 years old), a complete recompilation of CoCoALib (without
CoCoA-5, tests) does not really take much time (about 100s, using make -j3 lib).

Suggestion: reject?

#4 - 14 Oct 2022 16:51 - Anna Maria Bigatti
- Status changed from In Progress to Rejected

- % Done changed from 0 to 100

John Abbott wrote:

doing this correctly would require considerable effort, and the likely benefit little and seldom.
Suggestion: reject?

| agree: too much work for little/rare gain. Rejected.
